badvers(3)

BadVersion

Inherits from: Exception

Maturity Index: Experimental

Class Description

This is a subclass to signal that an specific version was excepted ( goodVersion ) and another version ( badVersion ) was encountered, specifically by the AsciiFiler class. The AsciiFiler class signals this exception if a version check fails.

Method types

Methods

goodVersion
    - ( int ) goodVersion

badVersion
    - ( int ) badVersion

goodVersion:badVersion:
    - goodVersion :(int) g badVersion :(int) b